<?php
/**
 * Custom scripts
 *
 * @package spiffy-lite
 * @subpackage functions
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Custom scripts
 */
function spiffy_lite_enqueue_scripts() {
	global $wp_styles, $wp_query;

	// general js scripts.
	wp_enqueue_script( 'spiffy-lite-general-js', get_template_directory_uri() . '/assets/js/general.js', array( 'jquery' ), '', true );

	// bootstrap.
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/assets/css/external/bootstrap.css', array(), '', 'all' );

	// slick slideshow.
	wp_enqueue_script( 'slick', get_template_directory_uri() . '/assets/js/slick.min.js', array( 'jquery' ), '', true );

	// Register main stylesheet.
	wp_enqueue_style( 'spiffy-lite-site-css', get_template_directory_uri() . '/assets/css/style.css', array(), '', 'all' );

	// Load dashicons(need them for post formats).
	wp_enqueue_style( 'dashicons' );
}
add_action( 'wp_enqueue_scripts', 'spiffy_lite_enqueue_scripts', 999 );
