<?php
/**
 * Theme widgets
 *
 * @package spiffy-lite
 * @subpackage functions
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! function_exists( 'spiffy_lite_widgets_init' ) ) {
	/**
	 * Load google fonts
	 */
	function spiffy_lite_widgets_init() {
		register_sidebar( array(
			'name'          => esc_html__( 'Main Sidebar', 'spiffy-lite' ),
			'id'            => 'sidebar-1',
			'before_widget' => '<aside id="%1$s" class="spf-widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="spf-widget-title">',
			'after_title'   => '</h3>',
		) );
		register_sidebar( array(
			'name'          => esc_html__( 'First Footer Widget Area', 'spiffy-lite' ),
			'id'            => 'sidebar-2',
			'before_widget' => '<aside id="%1$s" class="spf-widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="spf-widget-title">',
			'after_title'   => '</h3>',
		) );
		register_sidebar( array(
			'name'          => esc_html__( 'Second Footer Widget Area', 'spiffy-lite' ),
			'id'            => 'sidebar-3',
			'before_widget' => '<aside id="%1$s" class="spf-widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="spf-widget-title">',
			'after_title'   => '</h3>',
		) );
		register_sidebar( array(
			'name'          => esc_html__( 'Third Footer Widget Area', 'spiffy-lite' ),
			'id'            => 'sidebar-4',
			'before_widget' => '<aside id="%1$s" class="spf-widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="spf-widget-title">',
			'after_title'   => '</h3>',
		) );
		register_sidebar( array(
			'name'          => esc_html__( 'Fourth Footer Widget Area', 'spiffy-lite' ),
			'id'            => 'sidebar-5',
			'before_widget' => '<aside id="%1$s" class="spf-widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="spf-widget-title">',
			'after_title'   => '</h3>',
		) );
	}
	add_action( 'widgets_init', 'spiffy_lite_widgets_init' );
}
