<?php
/**
 * Header
 *
 * @package spiffy-lite
 * @subpackage spiffy-lite
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<!-- Force IE to use the latest rendering engine available -->
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<!-- Mobile Meta -->
	<meta name="viewport" content="width=device-width"/>

	<link rel="pingback" href="<?php esc_url( bloginfo( 'pingback_url' ) ); ?>">

	<?php if ( is_singular() ) :
		wp_enqueue_script( 'comment-reply' );
	endif; ?>
	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
	<?php $analytics_code = spiffy_lite_get_theme_mod( 'spiffy_lite_analytics' ); ?>
	<?php if ( $analytics_code ) : ?>
		<script>
		  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
		  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
		  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
		  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

		  ga('create', '<?php echo esc_html( $analytics_code ) ?>', 'auto');
		  ga('send', 'pageview');
		</script>
	<?php endif; ?>

	<header class="spiffy-header hidden-xs visible-sm visible-md visible-lg">
		<?php get_template_part( 'template-parts/header', 'v1' ); ?>
	</header>
	<header class="spiffy-header-mobile visible-xs hidden-sm hidden-md hidden-lg">
		<?php get_template_part( 'template-parts/header', 'mobile' ); ?>
	</header>

	<?php
	if ( is_front_page() && spiffy_lite_get_featured_posts() ) {
		// Include the featured content template.
		get_template_part( 'template-parts/frontpage-featured', 'content' );
	}
	?>
