<?php
/**
 * The main template file
 *
 * @package spiffy-lite
 * @subpackage spiffy-lite
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

<?php

if ( is_home() && is_front_page() || is_home() ) {
	$display_layout = 'classic';
} else {
	$display_layout = 'single';
}
$container_type = spiffy_lite_get_theme_mod( 'spiffy_lite_blog_layout' );
$has_sidebar = false;
if ( false !== strpos( $container_type, 'sidebar' ) ) {
	$has_sidebar = true;
}
?>

<div class="homepage-grid-classic container spiffy-content">
	<div class="row">
		<?php if ( in_array( $container_type, array( 'sidebar-left' ) ) ) : ?>
			<div class="col-xs-12 col-sm-4">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>
		<div class="col-xs-12 <?php echo esc_attr( $has_sidebar ? 'col-sm-8' : '' ); ?>" id="spiffy-infinite-content">
			<?php get_template_part( 'template-parts/posts-display', $display_layout ); ?>
			<?php
			if ( have_posts() ) :
				// Previous/next page navigation.
				the_posts_pagination( array(
					'prev_text' => esc_html__( 'Previous page', 'spiffy-lite' ),
					'next_text' => esc_html__( 'Next page', 'spiffy-lite' ),
				) );
			endif;
			?>
		</div>
		<?php if ( in_array( $container_type, array( 'sidebar-right' ) ) ) : ?>
			<div class="col-xs-12 col-sm-4">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>
	</div>
</div>

<?php get_footer(); ?>
