<?php
/**
 * The template for displaying all single posts and attachments
 *
 * @package spiffy-lite
 * @subpackage spiffy-lite
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

<?php
$container_type = spiffy_lite_get_theme_mod( 'spiffy_lite_blog_layout' );
$has_sidebar = false;
if ( false !== strpos( $container_type, 'sidebar' ) ) {
	$has_sidebar = true;
}
?>

<div class="spf-single-post-container container spiffy-content">
	<div class="row">
		<?php if ( in_array( $container_type, array( 'sidebar-left' ) ) ) : ?>
			<div class="col-xs-12 col-sm-4">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>
		<div class="col-xs-12 <?php echo esc_attr( $has_sidebar ? 'col-sm-8' : '' ); ?>">
			<?php if ( have_posts() ) : ?>
				<h1 class="spiffy-page-title word-underline"><?php printf( esc_html__( 'Search Results for: %s', 'spiffy-lite' ), get_search_query() ); ?></h1>
				<?php while ( have_posts() ) : ?>
					<?php
					the_post();
					get_template_part( 'template-parts/content-preview', 'classic' );
					?>
		    	<?php endwhile; ?>
				<?php
				// Previous/next page navigation.
				the_posts_pagination( array(
					'prev_text' => esc_html__( 'Previous page', 'spiffy-lite' ),
					'next_text' => esc_html__( 'Next page', 'spiffy-lite' ),
				) );
				?>
			<?php else : ?>
				<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'spiffy-lite' ); ?></p>
				<?php get_search_form(); ?>
		    <?php endif; ?>
		</div>
		<?php if ( in_array( $container_type, array( 'sidebar-right' ) ) ) : ?>
			<div class="col-xs-12 col-sm-4">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>
	</div>
</div>
<?php get_footer(); ?>
