<?php
/**
 * The template for displaying all single posts and attachments
 *
 * @package spiffy-lite
 * @subpackage spiffy-lite
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

<?php
$container_type = spiffy_lite_get_theme_mod( 'spiffy_lite_blog_layout' );
$has_sidebar = false;
if ( false !== strpos( $container_type, 'sidebar' ) ) {
	$has_sidebar = true;
}
?>

<div class="spf-single-post-container container spiffy-content">
	<div class="row">
		<?php if ( in_array( $container_type, array( 'sidebar-left' ) ) ) : ?>
			<div class="col-xs-12 col-sm-4">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>
		<div class="col-xs-12 <?php echo esc_attr( $has_sidebar ? 'col-sm-8' : '' ); ?>">
			<?php if ( have_posts() ) : ?>
				<?php while ( have_posts() ) : ?>
					<?php
					the_post();
					get_template_part( 'template-parts/content-single' );
					?>
		    	<?php endwhile; ?>
			<?php else : ?>
				<div class="container">
					<?php get_template_part( 'post-templates/content', 'missing' ); ?>
				</div>
		    <?php endif; ?>
		</div>
		<?php if ( in_array( $container_type, array( 'sidebar-right' ) ) ) : ?>
			<div class="col-xs-12 col-sm-4">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>
	</div>
</div>
<?php get_footer(); ?>
