<?php
/**
 * Default body template
 *
 * @package spiffy-lite
 * @subpackage tempolate-parts
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
$is_full = false;
$has_sidebar = false;
$hide_featured_image = true;
$container_type = spiffy_lite_get_theme_mod( 'spiffy_lite_blog_layout' );
if ( false !== strpos( $container_type, 'fullwidth' ) ) {
	$is_full = true;
}
if ( false !== strpos( $container_type, 'sidebar' ) ) {
	$has_sidebar = true;
}
?>

<div id="post-<?php the_ID(); ?>" <?php post_class( 'spf-single' ); ?>>
	<div class="spiffy-page-content">
		<?php the_content( esc_html( 'Read more', 'spiffy-lite' ) ); ?>
	</div>
	<div class="spf-tags-container">
		<?php the_tags( 'Tags: ', ' &#8226; ', '' ); ?>
	</div>
</div>
<?php
// If comments are open or we have at least one comment, load up the comment template.
if ( comments_open() || get_comments_number() ) :
	echo '<div class="spf-comments-container">';
	comments_template();
	echo '</div>';
endif;
?>
