<?php
/**
 * Default header template
 *
 * @package spiffy-lite
 * @subpackage tempolate-parts
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
$featured_page_id = spiffy_lite_get_theme_mod( 'spiffy_lite_featured_post_1' );
$featured_page_alignment = spiffy_lite_get_theme_mod( 'spiffy_lite_featured_post_1_alignment' );
$featured_page_scroll = spiffy_lite_get_theme_mod( 'spiffy_lite_scroll_down_button' );
$featured_page_autoplay = spiffy_lite_get_theme_mod( 'spiffy_lite_slideshow_autoplay' );
$featured_page_autoplay_speed = spiffy_lite_get_theme_mod( 'spiffy_lite_slideshow_autoplay_speed' );

$custom_class = ! in_array( spiffy_lite_get_theme_mod( 'spiffy_lite_blog_display' ), array( 'grid', 'cell' ), true ) ? 'margin-bottom' : '';

$featured_posts = spiffy_lite_get_featured_posts();
?>

<div class="spf-featured-page-container <?php echo esc_attr( $custom_class ); ?>" data-autoplay="<?php echo esc_attr( $featured_page_autoplay ); ?>" data-speed="<?php echo esc_attr( $featured_page_autoplay_speed ); ?>">

<?php
foreach ( (array) $featured_posts as $order => $post ) :
	setup_postdata( $post );
	if ( has_post_thumbnail() ) :
		$page_image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
		if ( $page_image && is_array( $page_image ) ) :
			$page_image_url = $page_image[0];
			?>
			<div class="spf-featured-item">
				<div class="spf-featured-bg" style="background-image: url('<?php echo esc_url( $page_image_url ); ?>');">
					<div class="spf-featured-content <?php echo 'right' == $featured_page_alignment ? 'content-on-right' : ''; ?>">
						<h1 class="spf-featured-title"><?php the_title(); ?></h1>
						<div class="spf-featured-excerpt">
							<?php
							the_content( sprintf(
								wp_kses( __( 'Read more %s', 'spiffy-lite' ), array( 'span' => array( 'class' => array() ) ) ),
								the_title( '<span class="screen-reader-text">"', '"</span>', false )
							) );
							?>
						</div>
					</div>
				</div>
				<a href="#" class="scrolldown-button <?php echo 'yes' == $featured_page_scroll ? '' : 'hidden'; ?>"><?php echo esc_html__( 'Scroll down', 'spiffy-lite' ); ?></a>
			</div>
		<?php
		endif;
	endif;
endforeach; ?>

</div>
