<?php
/**
 * Default header template
 *
 * @package spiffy-lite
 * @subpackage tempolate-parts
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>
<div class="container-fluid header-mobile">
	<div class="row">
		<div class="row-height">
			<div class="col-xs-6 col-xs-height col-xs-middle">
				<div class="spiffy-logo">
					<?php $spiffy_logo_url = spiffy_lite_get_theme_mod( 'spiffy_lite_logo' ); ?>
					<?php if ( $spiffy_logo_url ) : ?>
						<a href="<?php echo esc_url( get_site_url() ); ?>"><img src="<?php echo esc_url( $spiffy_logo_url ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" class="img-responsive pull-left" /></a>
					<?php else : ?>
						<a href="<?php echo esc_url( get_site_url() ); ?>" class="pix-sp-site-title"><?php echo esc_html( get_bloginfo() ); ?></a>
					<?php endif; ?>
				</div>
			</div>
			<div class="col-xs-6 col-xs-height col-xs-middle">
				<div class="mobile-menu pull-right">
					<a href="#" class="dashicons dashicons-menu" id="spf-mobile-menu-toggle"></a>
				</div>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="spiffy-mobile-menu-holder">
				<?php
				if ( has_nav_menu( 'spiffy_menu_4' ) ) :
					wp_nav_menu( array(
						'container' => '',
						'menu' => 'Menu displayed on mobile devices',
						'theme_location' => 'spiffy_menu_4',
						'items_wrap' => '<ul class="spiffy-menu-full">%3$s</ul>',
					) );
				elseif ( has_nav_menu( 'spiffy_menu_1' ) ) :
					wp_nav_menu( array(
						'container' => '',
						'menu' => 'Menu displayed in header left side',
						'theme_location' => 'spiffy_menu_1',
						'items_wrap' => '<ul class="spiffy-menu-full">%3$s</ul>',
					) );
				endif;
				?>
			</div>
		</div>
	</div>
</div>
