<?php
/**
 * Default header template
 *
 * @package spiffy-lite
 * @subpackage tempolate-parts
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
$sticky_header = spiffy_lite_get_theme_mod( 'spiffy_lite_sticky_header' );
?>
<div class="container-fluid spiffy-header-v1">
	<div class="row" id="fixed-menu-offset">
		<div class="container">
			<div class="row">
				<div class="col-xs-12 text-center">
					<div class="spiffy-logo">
						<?php $spiffy_logo_url = spiffy_lite_get_theme_mod( 'spiffy_lite_logo' ); ?>
						<?php if ( $spiffy_logo_url ) : ?>
							<a href="<?php echo esc_url( get_site_url() ); ?>"><img src="<?php echo esc_url( $spiffy_logo_url ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" class="img-responsive" /></a>
						<?php else : ?>
							<div class="pix-sp-site-identity">
								<a href="<?php echo esc_url( get_site_url() ); ?>" class="pix-sp-site-title"><?php echo esc_html( get_bloginfo() ); ?></a>
								<div class="pix-sp-site-tagline">
									<?php
									$description = get_bloginfo( 'description', 'display' );
									echo esc_html( $description );
									?>
								</div>
							</div>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row no-gutter <?php echo is_admin_bar_showing() ? 'has-admin-bar' : ''; ?>" id="<?php echo esc_attr( $sticky_header ? 'fixed-menu-style' : '' ); ?>">
		<div class="col-xs-12">
			<?php
			$menu_args = array(
				'container' => '',
				'menu' => 'Menu displayed in header left side',
				'theme_location' => 'spiffy_menu_1',
				'items_wrap' => '<ul class="spiffy-menu-full">%3$s</ul>',
			);
			?>
			<?php
			if ( has_nav_menu( 'spiffy_menu_1' ) ) :
			?>
				<div class="spiffy-menu-holder">
					<?php wp_nav_menu( $menu_args ); ?>
				</div>
			<?php
			endif;
			?>
		</div>
	</div>
</div>
