<?php
/**
 * Template Name: Page menu items
 * The template for displaying all single posts and attachments
 *
 * @package spiffy-lite
 * @subpackage spiffy-lite
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$row = 0;
$col = 1;
$row_break = 2;
$next_row_cols = 1;
$menu_item_index = 0;
get_header(); ?>

<?php
$container_type = spiffy_lite_get_theme_mod( 'spiffy_lite_blog_layout' );
$has_sidebar = false;
if ( false !== strpos( $container_type, 'sidebar' ) ) {
	$has_sidebar = true;
}
?>

<div class="container-fluid spiffy-content menu-items margin-bottom">
	<div class="row no-gutter margin-bottom">
		<div class="col-xs-12">
			<div class="menu-row cols-nr-2"><!-- start menu row -->
				<?php

				$menu_items = new WP_Query( array( 'post_type' => 'nova_menu_item' ) );
				if ( count( $menu_items->posts ) ) :
					$menu_item_loop_last_term_id = false;
					foreach ( $menu_items->posts  as $post ) :
						setup_postdata( $post );
						// check for sections/headings.
						$menu_item_loop_current_term = spiffy_lite_get_menu_item_menu_leaf( $post->ID );
						// if heading is different from previous, then display it and start new row.
						if ( $menu_item_loop_last_term_id != $menu_item_loop_current_term->term_id ) :
							$menu_item_loop_last_term_id = $menu_item_loop_current_term->term_id;
							echo '</div><div class="menu-row has-section-name cols-nr-2">';
							echo '<div class="menu-section-name"><h2>' . esc_html( $menu_item_loop_current_term->name ) . '</h2></div>';
							$row = 0;
							$col = 1;
							$row_break = 2;
							$next_row_cols = 1;
							$menu_item_index = 0;
						endif;

						if ( 1 == ( $menu_item_index / $row_break ) && 0 != $menu_item_index ) :
							$row++;
							$col = 1;
							$row_break = $row_break + $next_row_cols;
							?>
							</div><div class="menu-row cols-nr-<?php echo esc_attr( $next_row_cols ); ?>">
							<?php
							$next_row_cols = ( 1 == $next_row_cols ) ? 2 : 1;
						endif;
						if ( has_post_thumbnail() ) :
							$thumbnail_url = get_the_post_thumbnail_url( $post->ID, 'large' );
						else :
							$thumbnail_url = false;
						endif;
						?>
						<div class="menu-col menu-col-<?php echo esc_attr( $col ); ?>">
							<article id="post-<?php the_ID(); ?>" <?php post_class( 'menu-item-content' ); ?>>
								<div class="menu-item-image <?php echo esc_attr( $thumbnail_url ? 'has-featured-image' : '' ); ?>" style="<?php echo esc_attr( $thumbnail_url ? 'background-image: url(' . esc_url( $thumbnail_url ) . ')' : '' ); ?>"></div>
								<div class="menu-item-text">
									<a href="<?php echo esc_url( the_permalink() ); ?>" class="menu-item-title"><?php the_title(); ?></a>
									<div class="menu-item-section"><?php echo esc_html( $menu_item_loop_current_term->name ); ?></div>
									<div class="menu-item-description"><?php the_excerpt(); ?></div>
									<div class="menu-item-labels">
										<?php
										spiffy_lite_get_menu_item_terms( $post->ID );
										?>
									</div>
									<div class="menu-item-price">
										<span><?php echo esc_html( get_post_meta( $post->ID, 'nova_price', true ) ); ?></span>
									</div>
								</div>
							</article>
						</div>
						<?php
						$col++;
						$menu_item_index++;
					endforeach;
					wp_reset_postdata();
				endif;
				?>
		</div><!-- End menu row  -->
		</div>
	</div>
</div>

<div class="spf-single-post-container container spiffy-content margin-top">
	<div class="row">
		<?php if ( in_array( $container_type, array( 'sidebar-left' ) ) ) : ?>
			<div class="col-xs-12 col-sm-4">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>
		<div class="col-xs-12 <?php echo esc_attr( $has_sidebar ? 'col-sm-8' : '' ); ?>">
			<?php if ( have_posts() ) : ?>
				<?php while ( have_posts() ) : ?>
					<?php
					the_post();
					get_template_part( 'template-parts/content-restaurant' );

				 	$defaults = array(
						'before'           => '<p>' . esc_html__( 'Pages:', 'spiffy-lite' ),
						'after'            => '</p>',
						'link_before'      => '',
						'link_after'       => '',
						'next_or_number'   => 'number',
						'separator'        => ' ',
						'nextpagelink'     => esc_html__( 'Next page', 'spiffy-lite' ),
						'previouspagelink' => esc_html__( 'Previous page', 'spiffy-lite' ),
						'pagelink'         => '%',
						'echo'             => 1,
					);
					wp_link_pages( $defaults );
					?>
		    	<?php endwhile; ?>
			<?php else : ?>
				<div class="container">
					<?php get_template_part( 'post-templates/content', 'missing' ); ?>
				</div>
		    <?php endif; ?>
		</div>
		<?php if ( in_array( $container_type, array( 'sidebar-right' ) ) ) : ?>
			<div class="col-xs-12 col-sm-4">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>
	</div>
</div>

<?php get_footer(); ?>
